Subject: Changed: perl-5.8.1 debugging version available
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Tue, 30 Sep 2003 17:42:52 +0200

Hello,

After I learned now that ftp.cpan.org is a distributed server, you may
use these URLs to get it from your local mirror:

ftp://ftp.cpan.org/authors/id/G/GE/GERRIT/CHECKSUMS
ftp://ftp.cpan.org/authors/id/G/GE/GERRIT/perl_debug-5.8.1-2.tar.bz2
ftp://ftp.cpan.org/authors/id/G/GE/GERRIT/perl_debug-5.8.1-2-src.tar.bz2
ftp://ftp.cpan.org/authors/id/G/GE/GERRIT/perl_debug-5.8.1-2-srctree.tar.bz2

Old infos:
> Now after perl-5.8.1 was finally released, I've made a debugging
> version available at first.  This will not be distributed via the
> Cygwin mirrors and is not installable via setup.exe.

> But you can fetch it from the CPAN mirror which is nearest to you:

>   $CPAN/authors/id/G/GE/GERRIT/CHECKSUMS
>   $CPAN/authors/id/G/GE/GERRIT/perl_debug-5.8.1-2.tar.bz2
>   $CPAN/authors/id/G/GE/GERRIT/perl_debug-5.8.1-2-src.tar.bz2
>   $CPAN/authors/id/G/GE/GERRIT/perl_debug-5.8.1-2-srctree.tar.bz2
  
> where $CPAN is the mirror you select from the list of 238 mirrors
> here:  http://www.cpan.org/SITES.html

> Extract the perl_debug-5.8.1-2-srctree.tar.bz2 from the Cygwin root
> directory, it will create a tree under /tmp/perl/...
> Do the same with perl_debug-5.8.1-2.tar.bz2, it will install into
> /usr/bin/..., /usr/lib/perl5/... and /usr/share/doc/perl-5.8.1/...

> The perl_debug-5.8.1-2-src.tar.bz2 contains all the source packages
> and scripts which are needed to rebuild from scratch.

> This release is mainly for Nicholas Wourms and other Win98/Cygwin/Perl
> users who reported problems with Cygwin Perl releases and who may be
> interested in debugging the problems with Perl under Win98 like
> systems.

> Please try this first release of the final perl-5.8.1 and report back
> if it works for you or not.

> Some technical information:
> It is compiled with gcc-3.3.1 under cygwin-1.5.5, linked against
> libcrypt and libutil, some modules are linked against zlib, libdb4 and
> libgdbm4, I used the latest binutils.

> I'm interested in: i.e.
>    - are your favourite modules building?
>    - is it possible to build modules using e.g. gcc-3.2?
>    - is it possible to run /usr/bin/cpan to install modules (i.e with
>      Win98SE/WinME)?
>    - your favourite topic here ...

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/